package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.ApsProductionOrderDo;
import com.rongwei.bsentity.vo.CheckAndSaveOrUpdateOrderReq;
import com.rongwei.bsentity.vo.DeleteOrderVo;
import com.rongwei.rwcommon.base.R;

import java.util.List;

/**
 *
 */
public interface ApsProductionOrderService extends IService<ApsProductionOrderDo> {

    R publish(List<String> productionOrderIds);

    R publishCancel(List<String> productionOrderIds) ;

    R checkAndSaveOrUpdateOrder(CheckAndSaveOrUpdateOrderReq req);

    void orderOuttimeAudit();

    void auxiliaryMaterial();

    R changeOrder(ApsProductionOrderDo req);

    void processDelay();

    R deleteOrder(DeleteOrderVo req);

    void reportUnqualify();

    R saveHistoryInfo(String id);
}
